
Redmine - Defect #3778

Non-administrator users cannot set parent project for new projects

2009-08-25 12:51 - Gábor Molnár

Status: Closed Start date: 2009-08-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

It is not possible for non-administrator users to set the parent of the project to be created. There is no parent project field on the new

project page, even if i am the owner of the project that i want to set as parent. There is no such option even in the settings page of an

existing project.

I am using the svn trunk version.

Related issues:

Is duplicate of Redmine - Feature #2963: Managers able to create subprojects Closed 2009-03-13

History

#1 - 2009-08-31 18:00 - Anonymous

- File 003-redmine-admin-project.diff added

- Status changed from New to Resolved

In the file app/views/projects/_form.rhtml, change the line :

<% if User.current.admin? && !@project.possible_parents.empty? %>

With :

<% if !@project.possible_parents.empty? %>

This is what i have done and it works.

#2 - 2009-08-31 18:01 - Anonymous

Arghhhhh !!!!

In the file app/views/projects/_form.rhtml, change the line :

<% if User.current.admin? && !@project.possible_parents.empty? %>

With :

<% if !@project.possible_parents.empty? %>

This is what i have done and it works.

#3 - 2009-09-01 05:47 - Eric Davis

- Status changed from Resolved to Closed

- Resolution set to Duplicate

This is a duplicate of #2963

Files

003-redmine-admin-project.diff 570 Bytes 2009-08-31 Anonymous
